/* Coded by: Alfonsus David */

.left{ float: left; }
.right{ float: right; }
.no_float{ float: none; }
.clear, .clear_both{ clear: both; }
.clear{
	width: 0;
	height: 0;
}
.void{
	width: 0;
	height: 1px;
}
.center{ margin: 0 auto; }
.positioner{
	height: 100%;
	margin: 0 auto;
	width: 100%;
}

.none{ display: none; }
.block{ display: block; }
.inline{
	display: inline;
	float: none;
	width: auto;
}
.strikethrough{ text-decoration: line-through; }

.text_left{ text-align: left; }
.text_center{ text-align: center; }
.text_right{ text-align: right; }
.text_middle{ vertical-align: middle; }

.width_number{ width: 22px; }
.width_5{ width: 5%; }
.width_10{ width: 10%; }
.width_15{ width: 15%; }
.width_20{ width: 20%; }
.width_25{ width: 25%; }
.width_30{ width: 30%; }
.width_35{ width: 35%; }
.width_40{ width: 40%; }
.width_45{ width: 45%; }
.width_50{ width: 50%; }
.width_55{ width: 55%; }
.width_60{ width: 60%; }
.width_65{ width: 65%; }
.width_70{ width: 70%; }
.width_75{ width: 75%; }
.width_80{ width: 80%; }
.width_85{ width: 84%; }
.width_90{ width: 90%; }
.width_95{ width: 94%; }
.width_100{ width: 100%; }

.space_left_5, .responsive_space_left_5{ margin-left: 5px; }
.space_left_10, .responsive_space_left_10{ margin-left: 10px; }
.space_left_15{ margin-left: 15px; }
.space_left_20{ margin-left: 20px; }
.space_left_25{ margin-left: 25px; }
.spaceless_left{ margin-left: 0; }
.space_top_5{ margin-top: 5px; }
.space_top_10{ margin-top: 10px; }
.space_top_15{ margin-top: 15px; }
.space_top_20{ margin-top: 20px; }
.space_top_25{ margin-top: 25px; }
.spaceless_top{ margin-top: 0; }
.space_right_5{ margin-right: 5px; }
.space_right_10{ margin-right: 10px; }
.space_right_15{ margin-right: 15px; }
.space_right_20{ margin-right: 20px; }
.space_right_25{ margin-right: 25px; }
.spaceless_right{ margin-right: 0; }
.space_bottom_5{ margin-bottom: 5px; }
.space_bottom_10{ margin-bottom: 10px; }
.space_bottom_15{ margin-bottom: 15px; }
.space_bottom_20{ margin-bottom: 20px; }
.space_bottom_25{ margin-bottom: 25px; }
.spaceless_bottom{ margin-bottom: 0; }
.spaceless{ margin: 0; }

.border_top{ border-top: solid 1px #4880C5; }
.border_bottom{ border-bottom: solid 1px #4880C5; }

.debug_black, .debug_red, .debug_green, .debug_blue{ border: solid 1px black; }
.debug_red{ border-color: red; }
.debug_green{ border-color: green; }
.debug_blue{ border-color: blue; }

.extra_bold{ font-weight: 900; }
.bold{ font-weight: bold; }
.light{ font-weight: 300; }
.thin{ font-weight: 100; }
.italic{ font-style: italic; }

input:focus, textarea:focus{
    outline: none !important;
}

.transition{
	-moz-transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
}

.hr{
	width: 100%;
	height: 1px;
	background-color: rgba(255,255,255,.25);
}
.hr hr{
	display: none;
}
.vr{
	width: 2px;
	height: 150px;
	left: 50%;
	position: absolute;
	background-color: #39b54a;
}